/* ---------------------------------------------------------------------------
==============================================================================

Middle Earth POV RAY File
To Run, Create a new folder and put this file (me3.pov) 
and the image file me3s.jpg in it.

Run PovRay and Open me3.pov and hit the RUN Button.
This file works on any povray version 3.5 or better                       
  
For any further help, consult your POV RAY Manual.
Files created by M. Estrada
These files were downloaded from:
http://www.sandinovive.org/webusers/guests/e_worlds/mdlearth_from_space.htm

NOTICE:
Code and Images  provided 'AS IS' without any warranty of any kind
for any purpose whatsoever. For help with the Pov Ray [and Orbiter]
files, please consult their corresponding user manual or visit any of 
their many user groups discussion pages.  The code and images are available
for non-commercial, non-profit, personal use on single computers
ONLY. Any other use is NOT authorized, including reproducction and
posting on any of the internet facilities such as websites, newsgroups, etc.


==============================================================================
--------------------------------------------------------------------------- */ 
#include "colors.inc"    // The include files contains
#include "shapes.inc"    // pre-defined scene elements
#include "textures.inc"
// CAMERA
camera {
        location  <20, 1, 12> //For Best Shot
        direction <0.0, 0.0, 11.0> // <== NOTE THE Z VALUE (11.0) THAT ACTS AS A ZOOM LENS: Low values, larger field of view.
        look_at   <0, 0, 0>
        }
// Point Light Sources to illuminate the middle earth globe
light_source { <-3, 5, 5>  color White   } 
light_source { <5, -3, -5> color White  }
light_source { <3, 2, 6>  color White   } 
light_source { <-5, -5, 5> color White  }

// This section maps the middle earth map onto a sphere and then applies a finish.
sphere { <0, 0, 0>, 1
      texture 
      {
      pigment {
         image_map{ 
                   jpeg "me3s.jpg" 
                   map_type 1 
                   interpolate 2
                  }
               }  
               finish {
                       ambient 1
                       diffuse .25
                       specular 0.0005
                       roughness 0.0005
                       //reflection { 0.1, 1.0  fresnel on  }
                       //conserve_energy
                       }
      rotate <-22.5, 125, -10>//Rotates MiddleEarth
     }
   }
//End of Middle Earth  

//Background
//sky_sphere {   pigment { rgb .75}}                                                    
// -----------------------------------------------------------------------------------


